FAQ
Hi Puppet Users group,

I have followed the guide to the puppet-dashboard DB "Preparing Schema"
part, once I run " rake RAILS_ENV=production db:migrate --trace", it shows
the following errors:

(in /usr/share/puppet-dashboard)
rake aborted!
Mysql::Error: CREATE command denied to user 'dashboard'@'localhost' for
table 'schema_migrations': CREATE TABLE `schema_migrations` (`version`
varchar(255) NOT NULL) ENGINE=InnoDB
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:227:in
`log'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:324:in
`execute'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/schema_statements.rb:109:in
`create_table'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:478:in
`create_table'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/schema_statements.rb:371:in
`initialize_schema_migrations_table'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:441:in
`initialize'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:401:in
`new'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:401:in
`up'
/usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:383:in
`migrate'

/usr/share/puppet-dashboard/vendor/rails/railties/lib/tasks/databases.rake:112
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:635:in `call'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:635:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:630:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:630:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:589:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:582:in `invoke'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2050:in `invoke_task'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2028:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2028:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2028:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2067:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2022:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2067:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1997:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
/usr/bin/rake:19:in `load'
/usr/bin/rake:19
Anyone knows what happen? I have install puppet-dashboard before but never
experience this error.

Thanks.



--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Chris McDermott at Aug 29, 2013 at 1:49 pm
    It looks like the mysql user 'dashboard'@'localhost' doesn't have the right
    set of privilege grants.

    Chris

    On Wed, Aug 28, 2013 at 10:15 PM, karl hui wrote:

    Hi Puppet Users group,

    I have followed the guide to the puppet-dashboard DB "Preparing Schema"
    part, once I run " rake RAILS_ENV=production db:migrate --trace", it shows
    the following errors:

    (in /usr/share/puppet-dashboard)
    rake aborted!
    Mysql::Error: CREATE command denied to user 'dashboard'@'localhost' for
    table 'schema_migrations': CREATE TABLE `schema_migrations` (`version`
    varchar(255) NOT NULL) ENGINE=InnoDB
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:227:in
    `log'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:324:in
    `execute'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/schema_statements.rb:109:in
    `create_table'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:478:in
    `create_table'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/schema_statements.rb:371:in
    `initialize_schema_migrations_table'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:441:in
    `initialize'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:401:in
    `new'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:401:in
    `up'
    /usr/share/puppet-dashboard/vendor/rails/activerecord/lib/active_record/migration.rb:383:in
    `migrate'

    /usr/share/puppet-dashboard/vendor/rails/railties/lib/tasks/databases.rake:112
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:635:in `call'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:635:in `execute'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:630:in `each'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:630:in `execute'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in
    `invoke_with_call_chain'
    /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:589:in
    `invoke_with_call_chain'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:582:in `invoke'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2050:in `invoke_task'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2028:in `top_level'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2028:in `each'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2028:in `top_level'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2067:in
    `standard_exception_handling'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2022:in `top_level'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2067:in
    `standard_exception_handling'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1997:in `run'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
    /usr/bin/rake:19:in `load'
    /usr/bin/rake:19
    Anyone knows what happen? I have install puppet-dashboard before but
    never experience this error.

    Thanks.



    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedAug 29, '13 at 4:25a
activeAug 29, '13 at 1:49p
posts2
users2
websitepuppetlabs.com

2 users in discussion

Chris McDermott: 1 post Karl hui: 1 post

People

Translate

site design / logo © 2022 Grokbase